Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZClusterFileFailure Class Reference

## Public Member Functions
| __construct ( $errno, $message=false)
| errno ()
| message ()

## Public Attributes
const | FILE_EXPIRED = 1
const | FILE_CONTENT_GENERATE = 2
const | FILE_RETRIEVAL_FAILED = 3
| $Errno
| $Message

## Detailed Description

Definition at line 20 of file ezclusterfilefailure.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZClusterFileFailure::__construct | ( |  | $errno,
|  |  | $message = `false`
| ) |  |

Constructor

Error codes: 1 - file expired 2 - file contents must be manually generated 3 - Failed to retrieve file from DFS

Parameters

  int | $errno |
  bool | string | $message |

Definition at line 37 of file ezclusterfilefailure.php.

References $message.

## Member Function Documentation

## ◆ errno()

eZClusterFileFailure::errno | ( |  | ) |

Returns the error number.

Definition at line 46 of file ezclusterfilefailure.php.

References $Errno.

## ◆ message()

eZClusterFileFailure::message | ( |  | ) |

Returns the error message if there is one.

Definition at line 54 of file ezclusterfilefailure.php.

References $Message.

## Member Data Documentation

## ◆ $Errno

eZClusterFileFailure::$Errno

Definition at line 59 of file ezclusterfilefailure.php.

Referenced by errno().

## ◆ $Message

eZClusterFileFailure::$Message

Definition at line 60 of file ezclusterfilefailure.php.

Referenced by message().

## ◆ FILE_CONTENT_GENERATE

const eZClusterFileFailure::FILE_CONTENT_GENERATE = 2

Definition at line 23 of file ezclusterfilefailure.php.

## ◆ FILE_EXPIRED

const eZClusterFileFailure::FILE_EXPIRED = 1

Definition at line 22 of file ezclusterfilefailure.php.

## ◆ FILE_RETRIEVAL_FAILED

const eZClusterFileFailure::FILE_RETRIEVAL_FAILED = 3

Definition at line 24 of file ezclusterfilefailure.php.

Referenced by eZDFSFileHandler\processCache().

The documentation for this class was generated from the following file:

- ezclusterfilefailure.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.